Subject: bug#438: Lightdm action-menu on login screen present but inactive

From: Andre Kiepe <[email-masked]>
Date: Wed, 6 May 2020 11:00:16 +0200

Package: lightdm
Version: 1.26.0-4

Dear Maintainer,

* After freshly installing a Devuan3 Beowulf (same on 2.0, 2.1) with the
Cinnamon DE, the power-menu entries on the login screen are greyed

* I modified the file /etc/pam.d/lightdm-greeter:
changed the line
session   optional pam_systemd.s
to
session   optional pam_elogind.so

* Outcome is positive, menu entries active on login-screen now

* Exactly that

I'm using Devuan GNU/Linux 3 (beowulf)

Thank you for considering to modify the file for non-systemd systems (using
elogind)

Bugreport from reportbug utility (submit by e-mail not working):
-------------------------------------
Dear Maintainer,

* After freshly installing a Devuan3 Beowulf (same on 2.0, 2.1) with the
Cinnamon DE, the power-menu entries on the login screen are greyed

* I modified the file /etc/pam.d/lightdm-greeter:
changed the line
session   optional pam_systemd.s
to session   optional pam_elogind.so

* Outcome is positive, menu entries active on login-screen

* Exactly that

Thank you for considering to modify the file for non-systemd systems (using
elogind)

-- System Information:
Distributor ID: Debian
Description: Devuan GNU/Linux 3 (beowulf)
Release: 3
Codename: beowulf
Architecture: x86_64

Kernel: Linux 4.19.0-8-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8),
LANGUAGE=en_GB:en (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)
LSM: AppArmor: enabled

Versions of packages lightdm depends on:
ii  adduser                                3.118
ii  dbus                                   1.12.16-1+devuan2
ii  debconf [debconf-2.0]                  1.5.71
ii  libaudit1                              1:2.8.4-3
ii  libc6                                  2.28-10
ii  libgcrypt20                            1.8.4-5
ii  libglib2.0-0                           2.58.3-2+deb10u2
ii  libpam-elogind [logind]                241.4-2
ii  libpam0g                               1.3.1-5
ii  libxcb1                                1.13.1-2
ii  libxdmcp6                              1:1.1.2-3
ii  lightdm-gtk-greeter [lightdm-greeter]  2.0.6-1
ii  lsb-base                               10.2019051400

Versions of packages lightdm recommends:
ii  xserver-xorg  1:7.7+19

Versions of packages lightdm suggests:
ii  accountsservice  0.6.45-2
ii  upower           1:0.9.23-2+devuan1.3
pn  xserver-xephyr   <none>

-- Configuration Files:
/etc/pam.d/lightdm-greeter changed:
session      required pam_env.so readenv=1
session      required pam_env.so readenv=1 envfile=/etc/default/locale
auth      required pam_permit.so
account   required pam_permit.so
password  required pam_deny.so
session   required pam_unix.so
session   optional pam_elogind.so
-------------------------------------
André Kiepe
Systems Engineer & Training Consultant
Phone Nr. +41 79 648 2625 (also Voice Mail)
NEW(!) E-Mail: [email-masked]

/*=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
Linux is like a wigwam:
no windows, no gates, and an Apache inside.
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-*/